[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#699454: marked as done (amanda-common: User in /etc/xinetd.d/amanda should be backup, not amandabackup)

Your message dated Tue, 14 May 2013 16:27:49 +0100
with message-id <20130514152748.GA13749@riva.ucam.org>
and subject line Fixed in amanda 1:3.3.3-1
has caused the Debian Bug report #699454,
regarding amanda-common: User in /etc/xinetd.d/amanda should be backup, not amandabackup
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

699454: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=699454
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: amanda-common
Version: 1:3.3.1-4
Severity: important

Dear Maintainer,

The file /etc/xinetd.d/amanda, shipped as part of the amanda-common package,
sets user = amandabackup, whereas the correct user would be backup. The
update-inetd command in the postin script is correct.

This make amanda client unusable on systems which use xinetd.

-- System Information:
Debian Release: 7.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'stable-updates'), (500, 'testing'), (500, 'stable'), (1, 'experimental'), (1, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages amanda-common depends on:
ii  adduser                     3.113+nmu3
ii  bsd-mailx [mailx]           8.1.2-0.20111106cvs-1
ii  debconf [debconf-2.0]       1.5.49
ii  libc6                       2.13-37
ii  libcurl3                    7.26.0-1
ii  libglib2.0-0                2.33.12+really2.32.4-3
ii  libssl1.0.0                 1.0.1c-4
ii  perl [perl5]                5.14.2-16
ii  perl-base [perlapi-5.14.2]  5.14.2-16
ii  tar                         1.26+dfsg-0.1
ii  update-inetd                4.43
ii  xinetd [inet-superserver]   1:2.3.14-7.1

amanda-common recommends no packages.

Versions of packages amanda-common suggests:
ii  amanda-client  1:3.3.1-4

-- Configuration Files:
/etc/amandahosts [Errno 13] Permission denied: u'/etc/amandahosts'
/etc/xinetd.d/amanda changed [not included]

-- debconf information excluded

--- End Message ---
--- Begin Message ---
Source: amanda
Source-Version: 1:3.3.3-1

This was fixed a few months ago, but the bug wasn't closed due to a typo
in the changelog.

amanda (1:3.3.3-1) unstable; urgency=low

  * orphan this package
  * new upstream version, closes: #697783
  * fix hard-coded amandabackup user in many scripts and docs,
    closes: #693333, $699454
  * fix amserverconfig trying to create /var/lib/lib/amanda, closes: #693331

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Feb 2013 11:12:55 -0700

Colin Watson                                       [cjwatson@debian.org]

--- End Message ---

Reply to: